///////////////////////////////////////////////////////////////////////////////
// GameObject class
//
// Last update: 20/11/2008
///////////////////////////////////////////////////////////////////////////////

public class GameObject 
{
   protected String[] category;
   protected String[] name;
   protected String   filetype;
   protected String   filename;
   protected boolean applyTransform = false;
   protected double rot1 = 0.0;
   protected double rot2 = 0.0;
   protected double rot3 = 0.0;
   protected boolean showVertices = false;
   protected boolean showEdges = true;
   protected boolean showElements = true;
   
   public GameObject(String[] input_category,
                     String[] input_name,
                     String   input_filetype,
                     String   input_filename,
                     double input_rot1,
                     double input_rot2,
                     double input_rot3)
   {
      category = input_category;
      name = input_name;
      filetype = input_filetype;      
      filename = input_filename;
      
      applyTransform = true;
      rot1 = input_rot1;
      rot2 = input_rot2;
      rot3 = input_rot3;
   };
   
   public GameObject(String[] input_category,
           String[] input_name,
           String   input_filetype,
           String   input_filename)
   {
      category = input_category;
      name = input_name;
      filetype = input_filetype;      
      filename = input_filename;

      applyTransform = false;
      rot1 = 0.0;
      rot2 = 0.0;
      rot3 = 0.0;
   };   
	
   public String getCategory(int l)
   {
      return(category[l]);
   };

   public String getName(int l)
   {
      return(name[l]);
   };

   public String getFileType()
   {
      return(filetype);
   };

   public String getFileName()
   {
      return(filename);
   };

   public boolean getApplyTransform()
   {
      return(applyTransform);
   };

   public double getRot1()
   {
      return(rot1);
   };
      
   public double getRot2()
   {
      return(rot2);
   };
   
   public double getRot3()
   {
      return(rot3);
   };      
   
   public void setShowVertices(boolean b) {showVertices = b;};
   public void setShowEdges(boolean b) {showEdges = b;};
   public void setShowElements(boolean b) {showElements = b;};

   public boolean getShowVertices() {return(showVertices);};
   public boolean getShowEdges() {return(showEdges);};
   public boolean getShowElements() {return(showElements);};   
}
