///////////////////////////////////////////////////////////////////////////////
// Model class
//
// Last update: 28/01/2008
///////////////////////////////////////////////////////////////////////////////

public class Model 
{
   protected String[] category;
   protected String[] name;
   protected String   filetype;
   protected String   filename;
   protected boolean  showVertices;
   protected boolean  showEdges;
   protected boolean  showElements;
   protected boolean  enableDual;
   protected boolean  enableTruncate;
   protected boolean  improveUnfolding = false;
   protected int      unfoldingTrials = 0;

   public Model(String[] input_category,
                String[] input_name,
                String   input_filetype,
                String   input_filename,
		boolean  input_showVertices,
		boolean  input_showEdges,
		boolean  input_showElements,
		boolean  input_enableDual,
		boolean  input_enableTruncate)
   {
      category = input_category;
      name = input_name;
      filetype = input_filetype;
      filename = input_filename;
      showVertices = input_showVertices;
      showEdges = input_showEdges;
      showElements = input_showElements;
      enableDual = input_enableDual;
      enableTruncate = input_enableTruncate;
   };

   public String getCategory(int l)
   {
      return(category[l]);
   };

   public String getName(int l)
   {
      return(name[l]);
   };

   public String getFileType()
   {
      return(filetype);
   };

   public String getFileName()
   {
      return(filename);
   };
   
   public boolean getImproveUnfolding()
   {
      return(improveUnfolding);
   };
   
   public int getUnfoldingTrials()
   {
      return(unfoldingTrials);
   };      

   public boolean isShowingVertices()
   {
      return(showVertices);
   };

   public boolean isShowingEdges()
   {
      return(showEdges);
   };

   public boolean isShowingElements()
   {
      return(showElements);
   };

   public boolean isEnabledDual()
   {
      return(enableDual);
   };

   public boolean isEnabledTruncate()
   {
      return(enableTruncate);
   };
   
   public void setImproveUnfolding(boolean b, int t)
   {
      improveUnfolding = b;
      unfoldingTrials = t;
   };      
}; // End of Model 


